2016-05-19 Richard Frith-macdonald <rfm@gnu.org>

	* Modules/ColorSchemes/GNUmakefile.preamble:
	* Modules/Defaults/GNUmakefile.preamble:
	* Modules/FileSystem/GNUmakefile.preamble:
	* Modules/Fonts/GNUmakefile.preamble:
	* Modules/Internet/GNUmakefile.preamble:
	* Modules/ModifierKeys/GNUmakefile.preamble:
	* Modules/Themes/GNUmakefile.preamble:
	* Modules/TimeZone/GNUmakefile.preamble:
	* Modules/Volumes/GNUmakefile.preamble:
	* SystemPreferences/GNUmakefile.preamble:
	Remove obsolete conditionals

2016-02-17 Riccardo Mottola <rm@gnu.org>

	* Modules/Volumes/Volumes.m
	Clean up some types.

2014-10-28 Riccardo Mottola <rm@gnu.org>

	* Modules/Themes/Themes.m
	Don't crash if there is no description.

2014-02-14 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Resources/English.lproj/Localizable.strings
	Spelling error.

2013-09-16 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Resources/English.lproj/Defaults.plist
	Change XIM input method to fixed-list picklist.

2013-09-12 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Defaults.m
	* Modules/Defaults/Defaults.h
	* Modules/Defaults/Resources/English.lproj/Localizable.strings
	* Modules/Defaults/Resources/English.lproj/Defaults.gorm
	Allow localization of category and secription labels.

2013-08-31 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Resources/English.lproj/Defaults.plist
	* Modules/Defaults/Resources/English.lproj/Localizable.string
	Remove obsolete Keys pointed out by Fred.

2013-08-31 Riccardo Mottola <rm@gnu.org>

	* Modules/Themes/Resources/English.lproj/Themes.gorm
	* Modules/Themes/Themes.h
	* Modules/Themes/Themes.m
	Show theme license.

2013-08-31 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Defaults.m
	Access bundle cleanly.

2013-08-27 Riccardo Mottola <rm@gnu.org>

	* Modules/Themes/Themes.m
	* Modules/TimeZone/TimeZone.m
	Refer to Bundle using NSPreferencePane accessor

2013-08-26 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Defaults.m
	* Modules/Defaults/GNUmakefile
	* Modules/Defaults/Resources/English.lproj/Defaults.plist
	Allow localization of each preference, keyed by defaults name.

2013-08-09 Riccardo Mottola <rm@gnu.org>

	* Modules/Defaults/Defaults.h
	* Modules/Defaults/Defaults.m
	* Modules/Defaults/Resources/English.lproj/Defaults.gorm
	* Modules/Defaults/Resources/English.lproj/Defaults.plist
	Add editor for lists and use it for Interface Styles.

2013-02-07 Fred Kiefer <FredKiefer@gmx.de>

	* Modules/Themes/Themes.m: Don't set a nil authors string.

2013-02-07 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* Modules/Defaults/Defaults.m
	* Modules/Volumes/Volumes.m
	* SystemPreferences/SystemPreferences.m
	  NS(U)Integer conversions

2012-03-23 Riccardo Mottola <rm@gnu.org>

	* SystemPreferences/SystemPreferences.h
	Fix warning.

2012-01-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Modules/Defaults/Resources/English.lproj/Defaults.plist: Add new
	user defaults for sticky app icons and mini windows, respectively.

2011-11-18 Riccardo Mottola <rm@gnu.org>

	* Modules/Themes/no_preview.tiff
	* Modules/Themes/gnustep_preview_128.tiff
	* Modules/Themes/Themes.tiff
	Resampled to 72 dpi

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Modules/Volumes/Volumes.m (-mtypeMatrixAction:,
	-mpointButtAction:, -controlTextDidChange:): Improve UI validation
	of the buttons in the Volumes system preferences panel.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Modules/Defaults/Defaults.m (-mainViewDidLoad): Disable
	editing for the description string.

2011-02-14  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Modules/Defaults/Resources/English.lproj/Defaults.plist:
	Add user default that allows placing app icons and mini windows at
	normal window level.

2010-11-24 Riccardo Mottola

	* Modules/Themes/Themes.m:
	removed useless statement and variable.

	* Modules/TimeZone/TimeZone.m:
	Release map to avoid leak.

	* Modules/Fonts/FontModule.m:
	Allocate domain correctly to avoid leaking it.

2010-11-18 Riccardo Mottola

	* Modules/TimeZone/MapView.m
	* PreferencePanes/NSPreferencePane.m:

	Changed return value to NSUInteger to match NSObject

	* Modules/Fonts/FontModule.m
	* Modules/Themes/Themes.m
	* SystemPreferences/main.m:
	Fix memory leak.

2010-10-20 Riccardo Mottola

	* Modules/GNUmakefile
	Build internet module by default and install.

	* Modules/Internet/InternetModule.tiff
	Added icon for the Module (self-created).

2010-10-19  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Modules/Internet/InternetModule.m (-mainViewDidLoad): Select the
	default browser when the module is loaded.

	* Modules/Internet/InternetModule.m (-browserChanged:): Update the
	application with the URL scheme http and eventually https when the
	browser is changed, not any file type associations.


2010-10-19 Riccardo Mottola

	* Modules/Internet/InternetModule.m
	* Modules/Internet/InternetModule.h
	* Modules/Internet/InternetModuleInfo.plist
	* Modules/Internet/GNUmakefile
	* Modules/Internet/GNUmakefile.preamble
	* Modules/Internet/Resources/English.lproj/InternetModule.gorm
	Added internet module (browser selection).

2010-08-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Modules/Defaults/Resources/English.lproj/Defaults.plist:
	Add NSMaximumRecentDocumentCount default.

2010-04-28 German Arias <german@xelalug.org>

	* Modules\Defaults\Resources\English.lproj\Defaults.plist:
	Added GSUseIconManager

2009-11-09 Riccardo Mottola <rmottola@users.sf.net>

	* Modules\Defaults\Resources\English.lproj\Defaults.plist:
	Changed the default name from the obsolete
	GSX11HandlesWindowDecorations to GSBackHandlesWindowDecorations

2009-10-30 Riccardo Mottola <rmottola@users.sf.net>

	* SystemPreferences: changed to use standard info panel
	and set release version to 1.1.0

2009-10-26 Riccardo Mottola <rmottola@users.sf.net>

	* Modules/Themes : initial commit
	
2009-05-23 Riccardo Mottola <rmottola@users.sf.net>

	* Modules/Defaults/Resources/English.lproj/Defaults.plist: added live resizing of SplitViews

2009-02-01 Richard Frith-Macdonald <rfm@gnu.org>

	* Modules/ColorSchemes/ColorSchemesInfo.plist:
	* Modules/Defaults/DefaultsInfo.plist:
	* Modules/FileSystem/FileSystemInfo.plist:
	* Modules/Fonts/FontModuleInfo.plist:
	* Modules/ModifierKeys/ModifierKeysInfo.plist:
	* Modules/Template/TemplateInfo.plist:
	* Modules/TimeZone/TimeZoneInfo.plist:
	* Modules/Volumes/VolumesInfo.plist:
	* PreferencePanes/NSPreferencePane.h:
	* PreferencePanes/NSPreferencePane.m:
	* SystemPreferences/SystemPreferences.m:
	Remove strange non-standard use of GSBundleIdentifier and replace
	with the normal bundle identifier mechanism.
	Also change other info keys to standard ones.

2009-01-30 20:59-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* PreferencePanes/NSPreferencePane.m: Remove checks for non-standard
	Cocoa elements in the plist.  Also remove checks for things that
	NSBundle itself checks for.

2009-01-10 Richard Frith-Macdonald <rfm@gnu.org>

	* PreferencePanes/NSPreferencePane.m: Use infoDictionary of bundle
	* SystemPreferences/SystemPreferences.m: Use infoDictionary of bundle
	* Modules/FileSystem/GNUmakefile: Remove non-standard Info.plist install
	* Modules/ColorSchemes/GNUmakefile: ditto
	* Modules/Defaults/GNUmakefile: ditto
	* Modules/Fonts/GNUmakefile: ditto
	* Modules/TimeZone/GNUmakefile: ditto
	* Modules/ModifierKeys/GNUmakefile: ditto
	* Modules/Volumes/GNUmakefile: ditto
	* Modules/Template/GNUmakefile: ditto
	* Modules/FileSystem/Info.plist: Rename to .. FileSystemInfo.plist
	* Modules/ColorSchemes/Info.plist: Rename to .. ColorSchemesInfo.plist
	* Modules/Defaults/Info.plist: Reanme to ... DefaultsInfo.plist
	* Modules/Fonts/Info.plist: Rename to ... FontModuleInfo.plist
	* Modules/ModifierKeys/Info.plist: Rename to ... ModifierKeysInfo.plist
	* Modules/TimeZone/Info.plist: Rename to ... TimeZoneInfo.plist
	* Modules/Volumes/Info.plist: Rename to ... VolumesInfo.plist
	* Modules/Template/Info.plist: Rename to ... TemplateInfo.plist
	Basically, replace all non-standard handling of Info plists with the
	standard mechanism so that they are installed in the normal place and
	the infoDictionary method of NSBundle will find them... simplify
	everything and avoid confusion in future (hopefully).

2009-01-09 13:38-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* PreferencePanes/NSPreferencePane.m: Remove checks for 
	"GSPrefPaneIconFile", "GSPrefPaneIconLabel", "NSExecutable",
	"NSMainNibFile","NSPrincipalClass"

2009-01-09 10:12-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* PreferencePanes/NSPreferencePane.m: Try Info-gnustep.plist if
	Info.plist cannot be found.

2009-01-07 16:42-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* PreferencePanes/NSPreferencePane.h
	* PreferencePanes/NSPreferencePane.m
	* PreferencePanes/PreferencePanes.h: Corrections to header
	language. 

2008-09-25 02:42-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile
	* Modules/ColorSchemes/GNUmakefile
	* Modules/Defaults/GNUmakefile
	* Modules/FileSystem/GNUmakefile
	* Modules/Fonts/GNUmakefile
	* Modules/GNUmakefile
	* Modules/ModifierKeys/GNUmakefile
	* Modules/Template/GNUmakefile
	* Modules/TimeZone/GNUmakefile
	* Modules/Volumes/GNUmakefile
	* PreferencePanes/GNUmakefile
	* SystemPreferences/GNUmakefile: Change to install into LOCAL domain 
	by default.  Corrects bug #24677.

2008-09-12 Riccardo Mottola <multix79@yahoo.com>

	* Modules/Volumes: Corrected grammar

2008-08-30 17:53-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* PreferencePanes/NSPreferencePane.h: Correct compile error.

2008-01-19  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile: Add install domain so windows installer
	can find it.
	* SystemPreferences.nsi.in: New file
	* README: Update.

2008-01-18 18:23-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 1.0.2
	
2007-07-24 18:32-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Modules/ColorSchemes/NSColorStringMethods.h: Minor correction,
	changed to use #ifndef instead of #ifdef.

2007-03-07  Nicola Pero <nicola.pero@meta-innovation.com>

	The application now compiles and runs on MinGW.
	* SystemPreferences/SystemPreferences.m (changeFont:): New method
	that forwards changeFont: to the current pane if it responds to
	the selector.
	* SystemPreferences/SystemPreferences.h (changeFont:): New method.
	* Modules/Fonts/FontModule.m: Removed category/notification
	workaround to get the changeFont: call.
	* Modules/Fonts/FontModule.h: Removed category workaround.
	
2007-03-06  Nicola Pero <nicola.pero@meta-innovation.com>

	* GNUmakefile (GNUSTEP_MAKEFILES): If not set, use gnustep-config
	to set it.  (GNUSTEP_INSTALLATION_DOMAIN): Removed.
	(RPM_DISABLE_RELOCATABLE): Removed.
	* SystemPreferences/GNUmakefile.preamble: Fixed
	ADDITIONAL_LIB_DIRS to work on MinGW (Problem reported by
	xavier.glattard@online.fr).
	* Modules/ColorSchemes/GNUmakefile.preamble: Same change.
	* Modules/Defaults/GNUmakefile.preamble: Same change.
	* Modules/Filesystem/GNUmakefile.preamble: Same change.
	* Modules/Fonts/GNUmakefile.preamble: Same change.
	* Modules/ModifierKeys/GNUmakefile.preamble: Same change.
	* Modules/Template/GNUmakefile.preamble: Same change.
	* Modules/Timezone/GNUmakefile.preamble: Same change.
	* Modules/Volumes/GNUmakefile.preamble: Same change.
	
2007-02-18  Nicola Pero <nicola.pero@meta-innovation.com>

	* Modules/ColorSchemes/GNUmakefile.postamble (after-install):
	Create the GNUSTEP_LIBRARY/Colors directory before installing into
	it.

2006-11-06  Riccardo Mottola <riccardo@kaffe.org>

	* GNUmakefile: added package name and version
	* Modules/ColorSchemes/GNUmakefile.postamble: added
	* Modules/ColorSchemes/PreviewView.m,
	Modules/ColorSchemes/PreviewView.h:
	refactored, cleaned and added Radio
	
	added some colorschemes.

2006-10-21  Riccardo Mottola <riccardo@kaffe.org>

	* Modules/ColorSchemes/PreviewView.m,
	Modules/ColorSchemes/PreviewView.h:
	some refactoring

2006-09-30  Enrico Sersale <enrico@fibernet.ro>

	* Modules/TimeZone/Resources/zones.db:
  Update to latest timezone info. 

2006-09-28  Enrico Sersale <enrico@fibernet.ro>

	* Modules/ColorSchemes/ColorSchemes.m: 
  Impemented -willUnselect.
  Avoid some compiler warning.

2006-09-26  Enrico Sersale <enrico.sersale@gmail.com>

	* Modules/Fonts/FontModule.m: impemented -willUnselect (by Ingolf Jandt <i.jandt@web.de>)

2006-09-25  Riccardo Mottola <riccardo@kaffe.org>
	* Modules/ColorSchemes/NSColorStringMethods.h:
	removed useless declaration
	* Modules/ColorSchemes/PreviewView.m:
	implemented text display in controls and some cleanup

2006-09-25  Enrico Sersale <enrico.sersale@gmail.com>

	* Modules/Fonts: added fonts module by Ingolf Jandt <i.jandt@web.de>

2006-09-17  Richard Frith-Macdonald <rfm@gnu.org>

	* GNUmakefile: added top level makefile to build/install the
	whole system preferences stuff.
	* INSTALL: removed install instructions ... now done by makefile

2006-09-10  Riccardo Mottola <riccardo@kaffe.org>

	* Modules/ColorSchemes: implemented Apply, improved interface
	
2006-09-10  Riccardo Mottola <riccardo@kaffe.org>

	* Modules/ColorSchemes: added color schemes module
	
2006-08-31  Fred Kiefer <FredKiefer@gmx.de>

	* Modules/Defaults/Defaults.m: Include limits.h to have INT_MAX
	and INT_MIN defined. 
	Patch by Andreas Höschler <ahoesch@smartsoft.de>.
